import requests
import re

for kind in ["01", "02", "03"]:
    page = 1
    while 1:
        url = f"https://eplus.jp/sf/venue/search/p{page}?block=true&tdfk_cd=13&kaijo_kind={kind}"
        headers = {
            "User-Agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.124 Safari/537.36"
        }

        response = requests.get(url, headers=headers)
        pattern = re.compile(
            r'<h3 class="venue-item__title">(.*?)</h3>.*?'
            r'<div class="venue-item__content">.*?<p>(.*?)</p>.*?'
            r'<div class="venue-item__region">.*?<p>(.*?)</p>',
            re.DOTALL
        )
        venues = pattern.findall(response.text)
        if not venues: break
        for name, address, region in venues:
            print(name, address, region)
        with open("venues.txt", "a", encoding="utf-8") as f:
            for name, address, region in venues:
                f.write(f"{name}\t{address}\t{region}\n")
        page += 1
